<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Popular chess</title>
<link href="css/thrColFix.css" rel="stylesheet" type="text/css" /><!--[if lte IE 7]>
<style>
.content { margin-right: -1px; } /* cette marge négative de 1px peut être placée sur n'importe quelle colonne de cette mise en page, avec le même effet correcteur. */
ul.nav a { zoom: 1; }  /* la propriété de zoom donne à IE le déclencheur hasLayout requis pour corriger les espaces blancs supplémentaires entre les liens */
</style>
<![endif]-->
<style type="text/css">
.champs {	font-weight: bold;
}
#rouge {	color: #F00;
	font-weight: bold;
}
body {
	background-color: #FFF;
}
</style>

<?
function script_etape1() {

$date_courante  = date("Y");
$expr_reguliere = '/["< >\\\\]/g';

return <<<EOF

<script>
function filtrer_email(chaine) {
	chaine = chaine.replace({$expr_reguliere},"");
	return chaine;
}

function filtrer_nom(chaine) {
	chaine = chaine.replace(/[^A-Zéèêëaâäàiîïuçûüùoöô-]/gi,"");
	return chaine;
}

function filtrer_prenom(chaine) {
	chaine = chaine.replace(/[^A-Zéèêëaâäàiîïuçûüùoöô-]/gi,"");
	return chaine;
}

function filtrer_codes(chaine) {
	chaine = chaine.replace(/[^A-Z0-9éèêëaâäà_iîïuûüùoöô-]/gi,"");
	return chaine;
}

function filtrer_nombre(chaine) {
	chaine = chaine.replace(/[^0-9]/g,"");
	return chaine;
}

function test_form(form) {
	form.nom.value 		= filtrer_nom(form.nom.value);
	form.prenom.value 	= filtrer_prenom(form.prenom.value);
	form.pseudo.value 	= filtrer_codes(form.pseudo.value);
	form.password.value 	= filtrer_codes(form.password.value);
	form.annee.value 	= filtrer_nombre(form.annee.value);
	form.email.value 	= filtrer_email(form.email.value);
  
	if (form.email.value == "") {
		alert("Vous devez indiquer votre adresse e-mail");
		form.email.focus();
		return false;
	}

	if (form.email.value.indexOf("@") == -1 || form.email.value.indexOf(".") == -1) {
		alert("Votre adresse e-mail n'a pas la bonne syntaxe (nom@domaine.com) !");
		form.email.select();
		form.email.focus();
		return false;
	}

	if (form.pseudo.value == "") {
		alert("Vous devez saisir votre pseudo");
		form.pseudo.focus();
		return false;
	}

	if (form.password.value == "") {
		alert("Vous devez saisir votre mot de passe");
		form.password.focus();
		return false;
	}

	if (form.password.value.length < 8) {
		alert("Par sécurité, votre mot de passe doit au moins comporter 8 caractères");
		form.password.select();
		form.password.focus();
		return false;
	}

	return true;
}

</script>
EOF;
}

echo script_etape1();
?>

</head>

<body>

<div class="container">
  <div class="header">
    <p><br />
    <span style="text-align: left" href="index.php"></span><a href="index.php"><img src="images/logo.PNG" alt="Insérer le logo ici" name="Insert_logo" width="20%" height="20%" id="Insert_logo" style="background: #8090AB; display:block; color: #FFF;" /></a></p>
</div>
  <div class="sidebar1">
    <ul class="nav">
      <li><a href="index.php">Index</a></li>
      <li><a href="inscription.php">Inscription</a></li>
      <li><a href="jouer_partie.php">Jouer / continuer une partie</a></li>
      <li><a href="mailto:undavid@free.fr">Contactez-moi</a></li>
      <li></li></ul>
  </div>
  <div class="content">
    <form id="form1" name="form1" method="post" action="creer_membre.php" onsubmit="return test_form(form1)">
    <p><u>Pour vous inscrire sur Popular Chess, merci de remplir ce formulaire</u> :</p>
    <table width="487" height="285" border="0" align="left" cellpadding="0" cellspacing="0">
      <tr>
        <td width="16" bgcolor="#FFFFFF">&nbsp;</td>
        <td width="272" bgcolor="#FFCCAA"><span class="champs" style="text-align: left"><u>Pseudo</u></span><span style="text-align: left"> : (sans accents)</span></td>
        <td width="12" bgcolor="#FFCCAA">&nbsp;</td>
        <td width="187" bgcolor="#FFCCAA"><span style="text-align: left">
          <input type="text" name="pseudo" id="pseudo" />
          <span id="rouge">(*)</span></span></td>
      </tr>
      <tr>
        <td bgcolor="#FFFFFF">&nbsp;</td>
        <td bgcolor="#FFCCAA"><span class="champs" style="text-align: left"><u>Mot de passe</u></span><span style="text-align: left"> : (sans accents)</span></td>
        <td bgcolor="#FFCCAA">&nbsp;</td>
        <td bgcolor="#FFCCAA"><span style="text-align: left">
          <input type="password" name="password" id="password" />
          <span id="rouge">(*)</span></span></td>
      </tr>
      <tr>
        <td bgcolor="#FFFFFF">&nbsp;</td>
        <td bgcolor="#FFCCAA"><span class="champs" style="text-align: left"><u>Adresse e-mail</u></span><span style="text-align: left"> : (sans accents)</span></td>
        <td bgcolor="#FFCCAA">&nbsp;</td>
        <td bgcolor="#FFCCAA"><span style="text-align: left">
          <input type="text" name="email" id="email" />
          <span id="rouge">(*)</span></span></td>
      </tr>
      <tr>
        <td bgcolor="#FFFFFF">&nbsp;</td>
        <td bgcolor="#FFCCAA"><span class="champs" style="text-align: left"><u>Catégorie</u></span> : <span style="text-align: left">(pour mesurer votre elo)</span></td>
        <td bgcolor="#FFCCAA">&nbsp;</td>
        <td bgcolor="#FFCCAA"><select name="categorie" size="1">
           <option value="Senior" selected="selected">Sénior</option>
          <option value="Jeune">Jeune</option></select></td>
      </tr>
      <tr>
        <td bgcolor="#FFFFFF">&nbsp;</td>
        <td bgcolor="#DDDD88"><span class="champs" style="text-align: left"><u>Prénom</u></span><span style="text-align: left"> :</span></td>
        <td bgcolor="#DDDD88">&nbsp;</td>
        <td bgcolor="#DDDD88"><span style="text-align: left">
          <input type="text" name="prenom" id="prenom" />
        </span></td>
      </tr>
      <tr>
        <td bgcolor="#FFFFFF">&nbsp;</td>
        <td bgcolor="#DDDD88"><span class="champs" style="text-align: left"><u>Nom</u></span><span style="text-align: left"> :</span></td>
        <td bgcolor="#DDDD88">&nbsp;</td>
        <td bgcolor="#DDDD88"><span style="text-align: left">
          <input type="text" name="nom" id="nom" />
        </span></td>
      </tr>
      <tr>
        <td bgcolor="#FFFFFF">&nbsp;</td>
        <td bgcolor="#DDDD88"><span class="champs" style="text-align: left"><u>Année de naissance</u></span><span style="text-align: left"> :</span></td>
        <td bgcolor="#DDDD88">&nbsp;</td>
        <td bgcolor="#DDDD88"><span style="text-align: left">
          <input type="text" name="annee" id="annee" />
        </span></td>
      </tr>
      <tr>
        <td bgcolor="#FFFFFF" id="rouge">&nbsp;</td>
        <td bgcolor="#FFFFFF" id="rouge">(*)  champs obligatoires</td>
        <td bgcolor="#FFFFFF" style="text-align: center">&nbsp;</td>
        <td bgcolor="#FFFFFF" style="text-align: center"><span style="text-align: left">
          <input type="submit" name="valider" id="valider" value="Envoyer ce formulaire"/>
        </span></td>
      </tr>
    </table>
    <h1></h1>
    <h1>&nbsp;</h1>
<p>&nbsp;</p>
    <!-- end .content -->
    </form>
  </div>
  <!-- end .container --></div>
</body>
</html>
